[nSLUG] Help? libstdc++ question/confusion

Stephen Gregory nslug at kernelpanic.ca
Thu Jan 15 16:09:24 AST 2009


On Thu, Jan 15, 2009 at 03:34:43AM -0400, Mike Spencer wrote:
> 
> I have two old apps, both working on Slak 10.1, that I want to run and
> that are closed-source.  Ergo can't recompile.  The other one is Maple
> V, even older than NN 4.76.  One thing at a time, though.

You should be able to run both apps in a chroot environment.

The basic setup would be something along the lines of:

- copy slackware 10 install to /slackware10
- mount usefull things inside chroot
    mount -o bind /proc /slackware10/proc
    mount -o bind /dev /slackware10/dev
    mount -o bind /home /slackware10/home
- enter chroot
  sudo chroot /slackware10 su <your_username> -

Don't forget the dash after the username.



I know you like Netscape 4.7 but have you considered how many known
exploitable bugs are in it? Running older software that accesses the
internet is risky.

-- 
sg



More information about the nSLUG mailing list